Subject: bug#9470: 24.0.50; Possible bidi-related slowness

From: Christoph Scholtes <[email-masked]>
Date: Sat, 10 Sep 2011 14:28:32 -0600

On 9/10/2011 1:15 PM, Eli Zaretskii wrote:

> I need a file where you see the slowdown, and customizations, if any,
> needed to reproduce it starting with "emacs -Q".

Sorry, I don't think this is bidi-related. At least not directly. I use 
an alternative python-mode which turns out, is less efficient when it 
comes to font-lock than the stock emacs mode. The more modes, 
anti-aliased fonts etc. are enabled, the more the described behavior 
shows. Enabling/disabling bidi-reordering probably just took some load 
off of the system. Using the default font instead of Consolas 9 made the 
problem go away also.

Sorry for the noise.

Christoph